Bug 1712550 - boost-nowide should be arch-specific and provide a shared library
Summary: boost-nowide should be arch-specific and provide a shared library
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: boost-nowide
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 18:38 UTC by Jason Tibbitts
Modified: 2020-11-24 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:42:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Jason Tibbitts 2019-05-21 18:38:34 UTC
I have a package which bundles boost-nowide and I'd like to use the Fedora-packaged version instead, but the current state of the package prevents me from doing that.  Please note that I don't know much about boost.  Or C++, really.  But I asked a couple of experts who informed me that I won't be able to use boost-nowide as packaged, because it is packaged incorrectly.

As I understand things, this is packaged as a header-only library (though not properly; see https://docs.fedoraproject.org/en-US/packaging-guidelines/#_packaging_header_only_libraries).  But the problem is that cross-platform code still expects to be able to link against it, and I can understand that expectation.

So I'm not really sure what the proper outcome is, but it does seem like boost-nowide should look pretty much like any other boost subpackage.

Comment 1 Ben Cotton 2019-08-13 16:59:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:18:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2020-11-03 15:14:20 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-11-24 16:42:29 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.